Models/User.cs
using Microsoft.AspNetCore.Identity;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace CarRent.Models
{
    public class User : IdentityUser
    {
        
        public string PassportId { get; private set; }
        public string DriverLicense { get; private set; }
        public string FirstName { get; private set; }
        public string MiddleName { get; private set; }
        public string LastName { get; private set; }
        public DateTime BirthDay { get; private set; }
        public decimal Balance { get; private set; }
        public string Phone1 { get; set; }
        public string Phone2 { get; set; }


        // IdnetityUser have prop Email(LoginName).
        // IdentityUser have prop Password. 

        public User(string passportId, string driverLicense,string email, string firstName, string middleName, string lastName, DateTime birthDay, string phone1, string phone2)
        {
            this.PassportId = passportId;
            this.DriverLicense = driverLicense;
            this.Email = email;
            this.UserName = email;
            this.FirstName = firstName;
            this.MiddleName = middleName;
            this.LastName = lastName;
            this.BirthDay = birthDay;
            this.Phone1 = phone1;
            this.Phone2 = phone2;
            
            
        }




    }
}

Controllers/UsersController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using CarRent.Models;
using CarRent.Services;
using CarRent.ViewModels;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Identity;
using Microsoft.AspNetCore.Mvc;

namespace CarRent.Controllers
{
    public class UsersController : Controller
    {
        private readonly UserManager<User> userManager;
        private readonly IUserValidationService userValidator;
        public UsersController(UserManager<User> um , IUserValidationService uv)
        {
            this.userManager = um;
            this.userValidator = uv;
        }

        public IActionResult Index() => View(userManager.Users.ToList());

        public IActionResult Create() => View();

        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Create(CreateUserViewModel model)
        {
            if (ModelState.IsValid)
            {
                User user = new User(model.PassportId, model.DriverLicense, model.Email, model.FirstName, model.MiddleName, model.LastName, model.BirthDay, model.Phone1, model.Phone2);
                Dictionary<string,string>userValidationErrors =  userValidator.UserValidation(user);
                if (userValidationErrors == null)
                {
                    var result = await userManager.CreateAsync(user, model.Password);
                    if (result.Succeeded)
                    {
                        return RedirectToAction("Index");
                    }
                    else
                    {
                        foreach (var err in result.Errors)
                        {
                            ModelState.AddModelError("", err.Description);
                        }
                    }
                }
                else
                {
                    foreach (var err in userValidationErrors)
                    {
                        ModelState.AddModelError(err.Key, err.Value);
                    }
                }


            }
            return View(model);
        } 

        public async Task<IActionResult> Edit(string id)
        {
            User user =await userManager.FindByIdAsync(id);
            if (user == null)
            {
                return NotFound();
            }
            EditUserViewModel model = new EditUserViewModel
            {
                Id = user.Id,
                PassportId = user.PassportId,
                DriverLicense = user.DriverLicense,
                Email = user.Email,
                FirstName = user.FirstName,
                MiddleName = user.MiddleName,
                LastName = user.LastName,
                Phone1 = user.Phone1,
                Phone2 = user.Phone2,
                
            };

            return View(model);
        }

        [HttpPost]
        public async Task<IActionResult> Edit(EditUserViewModel model)
        {
            if (ModelState.IsValid)
            {
                User user = await userManager.FindByIdAsync(model.Id);
                if (user != null)
                {
                    user = new User(model.PassportId,model.DriverLicense,model.Email,model.FirstName,model.MiddleName,model.LastName,model.BirthDay, model.Phone1,model.Phone2);
                    Dictionary<string, string> userValidationErrors = userValidator.UserValidation(user);
                    if (userValidationErrors == null)
                    {
                        var result = await userManager.UpdateAsync(user);
                        if (result.Succeeded)
                        {
                            return RedirectToAction("Index");
                        }
                        else
                        {
                            foreach (var err in result.Errors)
                            {
                                ModelState.AddModelError("", err.Description);
                            }
                        }
                    }
                    else
                    {
                        foreach (var err in userValidationErrors)
                        {
                            ModelState.AddModelError(err.Key, err.Value);
                        }
                    }
                  
                }
            }
            return View(model);
        }

        [HttpPost]
        public async Task<IActionResult> Delete(string id)
        {
            User user = await userManager.FindByIdAsync(id);
            if (user != null)
            {
                IdentityResult result = await userManager.DeleteAsync(user);
            }
            return RedirectToAction("Index");
        }
    }
}

Views/Users/Create.cshtml
@model CarRent.ViewModels.CreateUserViewModel
@{
    ViewBag.Title = "Add User";
}
<form asp-action="Create" asp-controller="Users">
    <div asp-validation-summary="All" class="text-danger"></div>
    <div class="form-group">
        <label asp-for="Email" class="control-label">Email</label>
        <input type="text" asp-for="Email" class="form-control" />
    </div>
    <div class="form-group">
        <label asp-for="Password" class="control-label">Пароль</label>
        <input type="password" asp-for="Password" class="form-control" />
    </div>
    <div class="form-group">
        <label asp-for="Year" class="control-label">Год рождения</label>
        <input type="number" asp-for="Year" class="form-control" />
    </div>
    <div class="form-group">
        <input type="submit" value="Добавить" class="btn btn-outline-secondary" />
    </div>
</form>

Views/Users/Edit.cshtml
@model CarRent.ViewModels.EditUserViewModel
@{
    ViewBag.Title = "User Editing";
}
<form asp-action="Edit" asp-controller="Users">
    <div asp-validation-summary="All" class="text-danger"></div>
    <div class="form-group">
        <input type="hidden" asp-for="Id" />
    </div>
    <div class="form-group">
        <label asp-for="Email" class="control-label">Email</label>
        <input type="text" asp-for="Email" class="form-control" />
    </div>
    <div class="form-group">
        <label asp-for="Year" class="control-label">Год рождения</label>
        <input type="number" asp-for="Year" class="form-control" />
    </div>
    <div class="form-group">
        <input type="submit" value="Сохранить" class="btn btn-outline-secondary" />
    </div>
</form>

Views/Users/Index.cshtml
@model IEnumerable<CustomIdentityApp.Models.User>
@{
    ViewBag.Title = "User List";
}

<a asp-action="Create">Добавить пользователя</a>

<table class="table">
    <tr><th>Email</th><th>Год</th><th></th></tr>
    @foreach (var user in Model)
    {
        <tr>
            <td>@user.Email</td>
            <td>@user.Year</td>
            <td>
                <form asp-action="Delete" asp-route-id="@user.Id" method="post">
                    <a class="btn btn-sm btn-primary" asp-action="Edit" asp-route-id="@user.Id">Изменить</a>
                    <button type="submit" class="btn btn-sm btn-danger">
                        Удалить
                    </button>
                </form>
            </td>
        </tr>
    }
</table>